#!/bin/bash

# Execute from top of this directory
#

rm -rf /tmp/SaxMemo2Hhtml
tar  -c  SaxMemo2Hhtml | tar -x -C /tmp
cp -f SaxMemo2Hhtml/pom.exam.xml /tmp/SaxMemo2Hhtml/pom.xml

pushd  SaxMemo2Hhtml_solution/src/test/java
tar c- de|tar -x -C /tmp/SaxMemo2Hhtml/src/test/java
popd

pushd ../../../ws/eclipse/ExamTesting/src/main/java
tar c- de |tar -x -C /tmp/SaxMemo2Hhtml/src/test/java
popd

pushd /tmp/SaxMemo2Hhtml
mvn clean eclipse:clean
rm -rf .settings pom.exam.xml .gitignore src/main/resources/.gitignore
cd ..; rm -f saxmemo2html.zip; zip -r saxmemo2html.zip SaxMemo2Hhtml
popd

tar c- SaxMemo2Hhtml_solution| tar -x -C /tmp
pushd /tmp/SaxMemo2Hhtml_solution
mvn clean eclipse:clean
rm -rf .settings .gitignore build.sh* src/main/resources/memo.xml.* src/main/resources/.gitignore
cd ..; rm -f saxmemo2html_solution.zip; zip -r saxmemo2html_solution.zip SaxMemo2Hhtml_solution
popd


echo Compressed Maven archives saxmemo2html.zip and  saxmemo2html_solution.zip generated at /tmp/saxmemo2html.zip

#end