package de.hdm_stuttgart.sw1.klausur;

public class Helper {
	
	/**
	 * Durchsuche ein Array nach der Häufigkeit des Auftretens eines gegebenen Werts.
	 * 
	 * Beispiel: Der Wert 3 taucht im Array {1, -5, 3, 0, 3} zweifach auf.
	 * 
	 * Sonderfall: Das Array ist null oder leer, dann ist das Ergebnis 0
	 * 
	 * 
	 * @param candidate Wert, dessen Häufigkeit im Array zu bestimmen ist
	 * @param werte Werte, welche durchsucht werden
	 * @return Die Häufigkeit des aufgetretenen Werts.
	 */
	static public int getHaeufigkeit(final int candidate, final int [] werte) {
		
		// Tip: Beachte die Sonderfälle und führe
		// die Tests nach der Implementierung aus.
		
		return -14; // TODO: implementiere mich richtig!
	}
	
	/**
	 * Durchsuche ein Array nach aufeinanderfolgendem Auftreten identischer Werte und gebe ggf.
	 * den Index des ersten Werts der ersten Gruppe zurück.
	 * 
	 *  Beispiel: Das Array {-4, 2, 3, 3, 3, -1, 7, 4, 4, 5} enthält zwei Gruppen benachbarter identischer Werte,
	 *  nämlich {3, 3, 3} und {4, 4}. Da {3, 3, 3} die erste Gruppe ist, lautet der gesuchte Index 2.
	 *  
	 *  Falls keine Gruppe existiert, soll ein Wert kleiner 0 zurückgegeben werden.
	 * 
	 * @param werte Die zu durchsuchenden Werte
	 * @return Index des Beginns der ersten gefundenen Gruppe, oder < 0, falls keine Gruppe vorhanden.
	 */
	static public int getErstenGruppenIndex(final int [] werte) {

		// Tip: Führe die Tests nach der Implementierung aus.
		
		return 4711; // TODO: implementiere mich richtig!
	}
	
	/**
	 * Wie oft tritt ein gegebenes Zeichen in einer Zeichenkette unter Ignorieren von Groß- und Kleinschreibung auf?
	 * 
	 * Beispiel: 'k' ist in "Klausur Softwareentwicklung" zweifach enthalten.
	 * 
	 * @param c Ein beliebiges Zeichen
	 * @param s Eine beliebige Zeichenkette.
	 * @return Die Anzahl des Auftretens von c in der Zeichenkette s ohne Beachtung von Groß- und Kleinschreibung.
	 */
	static public int getZeichenHaeufigkeit(final char c, final String s) {
		// Tip: Führe die Tests nach der Implementierung aus.
		
		return -14; // TODO: implementiere mich richtig!
	}
	
	
	/**
	 * Bildung der Schnittmenge zweier Wortmengen bei Beachtung von Groß/ und Kleinschreibung.
	 * 
	 * Beispiel:
	 * first = {"Haus", "laufen"}, second = {"Urlaub", "Klausur", "Haus", "Esel"}
	 * 
	 * Die Schnittmenge von first und second lautet {"Haus"}
	 * 
	 * @param first Die erste Wortmenge
	 * @param second Die zweite Wortmenge
	 * @return Die Wortmenge des Durchschnitts beider Wortmengen.
	 */
	static public String[] schnittmenge(final String[] first, final String[] second) {

		// Tips:
		//
		// 1. Man kann für jede Zeichenkette aus first alle Zeichenketten aus second auf Gleichheit
		//    prüfen (String.equals, nicht '=='). Dies ergibt zwei verschachtelte Schleifen. 
		//
		// 2. Das String Array zur Rückgabe ist maximal so groß wie first. Lege zunächst ein ungefülltes
		//    String[] Array dieser Größe an und fülle es mit den Elementen der Schnittmenge. Vor der Rückgabe
		//    kann dann ein erneutes Umkopieren in ein neu zu erzeugendes Array passender Größe erfolgen.
		//
			
		return new String[]{"Müll"}; // TODO: implementiere mich richtig!
	}	
}
