package de.hdm_stuttgart.sw1.klausur;


/**
 * Hilfsmethoden.
 *
 */
public class Helper {
   
   /**
    * <p>Liefert die Deutschen Klartextnamen der Zahlen von 0 bis Zwölf, also:</p>
    * 
    *  <p>{0, 1, 2, ..., 12} wird zu {"null", "eins", "zwei", ..., "zwölf"}</p>
    *  
    *  <p>Für alle anderen Werte, wie z.B. »14«, soll "Uuups, keine Regel
    *     für den Wert 14" zurückgegeben werden.</p>
    * 
    * @param a Umzuwandelnder Wert
    * @return Klartextname.
    */
   static public String klartextName(final int a) {
      return "huhuu!"; // TODO: Implementiere mich richtig.
   }

   /**
    * <p>Gibt den Betrag des Produkts der beiden Faktoren zurück.</p> 
    * 
    * @param a Erster Wert
    * @param b Zweiter Wert
    * @return Betrag des Produkts.
    */
   static public int getProduktBetrag(final int a, final int b) {
      return -2234;  // TODO: Implementiere mich richtig.
   }

   /**
    * <p>Der Quadrant für einen gegebenen Winkel.</p> 
    * 
    * <p>Der Vollkreis wird in 0 bis 360 Grad eingeteilt. Je nach Winkel liegt ein Vektor
    * im Quadrant 1, 2 3 oder 4:</p> 
    *
    * <pre>
    *              |
    * Quadrant 2   |  Quadrant 1
    *              |
    *              |
    *--------------+-------------
    *              |
    *              |
    * Quadrant 3   | Quadrant 4
    *              |</pre>
    *              
    *  <p>Beispiel: 45 Grad liegt im ersten Quadranten, 200 Grad im Dritten.</p>            
    *  
    * @param winkel Winkel des zu betrachtenden Vektors aus dem Intervall [0, 360[.
    * @return zugehöriger Quadrant.
    */
   static public int getQuadrant(final double winkel) {
      return 42;  // TODO: Implementiere mich richtig.
   }
	
   /**
    * <p>Umwandlung von Sekundenangaben in das Format hh:mm:ss.</p> 
    * 
    * <p>Beispiel: 7290 Sekunden entsprechen 2 Stunden, einer Minute und 30 Sekunden, also "2:1:30"</p> 
    * 
    * @param sekunden Nicht-negative Sekundenangabe
    * @return Angabe in Stunden:Minuten:Sekunden
    */
   static public String getZeitangabe(final long sekunden) {
      return "huhuu!";  // TODO: Implementiere mich richtig.
   }
	
   /**
    * <p>Kehre die Reihenfolge der Werte eines Feldes um. Beispiel:</p>
    *  
    *  <p> {1, 2, 3, 4, 5} wird zu {5, 4, 3, 2, 1}</p>
    * 
    * @param werte Ein Feld aus Werten oder null (keine Aktion).
    */
   static public void spiegelung(int [] werte) {
      // TODO: Implementiere mich richtig.
   }
   
   /**
    * <p>Prüfe die Gültigkeit einer ISBN Nummer.</p>
    * 
    * <p>Eine gegebene ISBN Nummer ist gültig, wenn:</p>
    * 
    * <ul>
    *   <li>Sie aus 10 Ziffern besteht und ansonsten nur "-" Zeichen enthält</li>
    *   
    *   <li><p>Das Produkt 1 * d_1 + 2 * d_2 + ... + 10 * d_10 ein Vielfaches von 11 ist, wobei {d_10 d_9 ...,d_1} die Ziffern von rechts nach links darstellen</p>
    *   <p>Beispiel: Die ISBN Nummer 0-201-31452-5 ist gültig:</p>
    *   <p>Produkt von rechts nach links 1*5 + 2*2 + 3*5 + 4*4 + 5*1 + 6*3 + 7*1 + 8*0 + 9*2 + 10*0 = 88, also ein Vielfaches von 11.</p>
    *   
    *   <p>18-433-6928-3 ist hingegen ungültig. Ebenso 2234-223-12, da nur 9 Ziffern vorhanden sind.</p>
    *   
    *   </li>
    * </ul>
    * 
    * @param isbn Referenznummer eines Buchs
    * @return true or false
    * 
    * <p style="color: red;font-weight: bold;">Tip: Beachten Sie {@link Character#getNumericValue(char)} und {@link String#toCharArray()}.</p>
    * 
    */
   static public boolean istGueltig(final String isbn) {
      return true;  // TODO: Implementiere mich richtig.
   }
}