package de.hdm_stuttgart.mi.sda1.exam.rdbms;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;


/**
 * Handling database connections
 *
 */
public class DbHandler {
   private static Logger log = LogManager.getLogger(DbHandler.class);

   Connection conn = null;


   /**
    * Connecting to our database server
    * @throws SQLException Connection failure.
    */
   public void connect() throws SQLException {
      conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/hdm","hdmuser","XYZ");
   }

   /**
    * @throws SQLException Unable to disconnect.
    */
   public void disconnect() throws SQLException {
      conn.close();
      conn = null;
   }
}