package de.hdm_stuttgart.mi.sda1.exam.jdbcexport;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;


/**
 * Exporting company data. Execution requires importing corresponding
 * schema and optionally sample data from Sql/sample.sql
 */
public class EmployeeInfo {
   
   /**
    * @param args Unused
    * @throws SQLException Diagnosing database problems.
    */
   public static void main( String[] args ) throws SQLException {
      
      try (final Connection conn = DriverManager.getConnection("jdbc:mysql://localhost/hdm", "hdmuser", "XYZ")) {
         
         final Statement queryDepartments = conn.createStatement();
         
         final ResultSet departments = queryDepartments.executeQuery("SELECT * FROM Department");
         
         while (departments.next()) {
            System.out.println(departments.getString("name"));
         }
      }
   }
}