package de.hdm_stuttgart.mi.persist.airline;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.hdm_stuttgart.mi.persist.airline.model.Airline;

public class CreateAirline {

   // This requires a corresponding entry <persistence-unit name="AirlinePU"> 
   // in META-INF/persistence.xml
   private static final String PERSISTENCE_UNIT_NAME = "AirlinePU";
   /**
    * @param args Unused
    */
   public static void main( String[] args ) {

      final EntityManagerFactory factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
      final EntityManager em = factory.createEntityManager();

      em.getTransaction().begin();
      {
         em.persist(new Airline("Lufthansa", "DLH"));
      }
      em.getTransaction().commit();

      em.close();
      factory.close();
   }
}