package de.hdm_stuttgart.mi.sd1.htmlformat;

import java.io.PrintStream;

/**
 * Formatting {@link Address} records 
 *
 */
public class Address2textFormatter implements AddressFormatter {

  public void printHead (PrintStream out) {
    out.println("List of addresses:");
  }
  public void printRecord(Address address, PrintStream out) {
    out.println("++++++++++++++++++++++");
    out.println("Name:" + address.firstName + " " + address.lastName);
    out.println("Company:" + address.companyName);
    out.println("Address:" + address.address + ", " + address.city 
        + ", " + address.postal);
    out.println("Phone:" + address.phone1 + ", " + address.phone2);
    out.println("E-Mail:" + address.email);
    out.println("--------------------");
  }
  public void printTail (PrintStream out) {
    out.println("End of records");
  }
}