package de.hdm_stuttgart.mi.sd1.model;

import java.util.Comparator;

public class SortByArea implements Comparator<Rectangle> {
    @Override
    public int compare(Rectangle r1, Rectangle r2) {
        if (r1.width * r1.height == r2.width * r2.height) {
            if (r1.width == r2.width) {
                return r2.height - r1.height;
            } else {
                return r2.width - r1.width;
            }
        } else {
            return r2.width * r2.height - r1.width * r1.height;
        }
    }
}
