package de.hdm_stuttgart.mi.sd1;

import java.util.Comparator;

/**
 * Compare strings first by their length. If two strings do have
 * common length, sort them alphabetically.
 *
 */
public class LengthCompare  implements Comparator<String> {
  @Override
  public int compare(String s1, String s2) {
    final int lengthDiff = s1.length() - s2.length();
    if (0 == lengthDiff) {
      return s1.compareTo(s2);
    } else {
      return lengthDiff;
    }
  }
}
