package de.hdm_stuttgart.mi.sd1.tictactoe;

public enum Player {

  YOU("You", 'O', 1), COM("Me (HAL 9000)", 'X', -1);

  public final String nickname;
  public final char representation;
  public int score;
  private Player other;
  
  static {                // For further explanation see
    YOU.other = COM;      // http://stackoverflow.com/questions/5678309/illegal-forward-reference-and-enums#5678375 
    COM.other = YOU;
  }
  
  public Player getOtherPlayer() {
    return other;
  }
  
  Player(final String nickname, final char representation, final int score) {
    this.nickname = nickname;
    this.representation = representation;
    this.score = score;
  }

  @Override
  public String toString() {
    return nickname + ", " + score + ", "+ representation;
  }
}
