package dom;

/**
 * This driver class simply instantiates an {@link Article2Html}object and
 * initiates the parsing process. The resulting HTML output is written to
 * stdout.
 * 
 */
public class Article2HtmlDriver {
  /** @param argv unused
   *  @throws Exception Inaccessible file or corrupt content
   */
  public static void main(String[] argv) throws Exception {
    final Article2Html a2h = new Article2Html();
    a2h.process("catalog.xml", System.out);
  }
}