package dom;

/**
 * This driver class simply instantiates an {@link ListElements}object and
 * initiates the parsing process. The resulting HTML output is written to
 * stdout.
 * 
 */
public class ListElementsDriver {
  /** @param argv unused
   *  @throws Exception Inaccessible file or corrupt content
   */
  public static void main(String[] argv) throws Exception {
    final ListElements elementLister = new ListElements();
    elementLister.process("message.xml");
    
    System.out.println("\nDocument contains " +
          elementLister.getNumberOfElements() + " elements and " + 
          elementLister.getNumberOfAttributes() + " attributes.");
  }
}