package de.hdm_stuttgart.mi.sda1.sql2catalog;

import java.io.IOException;

import javax.xml.parsers.ParserConfigurationException;

import org.jdom2.Element;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;
import org.xml.sax.SAXException;

/**
 * Dumping RDBMS catalog data
 * to XML.
 * 
 */
public class Rdbms2Xml {

   /**
    * @param args Unused
    * @throws SAXException Xml source may not be well-formed
    * @throws ParserConfigurationException Rarely!
    * @throws IOException File issues
    */
   public static void main(String[] args) throws ParserConfigurationException,
         SAXException, IOException {

      final Element catalogElement = new Element("catalog");
      new RdbmsAccess().appendProducts(catalogElement);
      
      // Write XML content to standard output
      XMLOutputter outputter = new XMLOutputter(Format.getPrettyFormat());
      outputter.output(catalogElement, System.out);
   }
}
