package alignimg;

import org.junit.Assert;
import org.junit.Test;

import dom.xpath.CheckUrl;

/**
 *
 */
public class TestImgSearch {

   /**
    */
   @Test
   public void findExistingImage() {
     Assert.assertTrue(CheckUrl.checkReadability(
                 "https://www.hdm-stuttgart.de/bilder_navigation/laptop.gif"));
   }
   /**
    */
   @Test
   public void findRedirectErrorPage() {
     Assert.assertFalse(CheckUrl.checkReadability(
                 "http://www.hdm-stuttgart.de/rotfl.gif"));
   }
}