<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:template match="/">
        <html>
            <head>
                <title>JAX-RS example</title>
            </head>
            <body>
                <xsl:apply-templates select="*"/>
                
            </body>
        </html>
        
    </xsl:template>
    
    <xsl:template match="collection">
        <ul>
            <xsl:apply-templates select="*"/>
        </ul>
    </xsl:template>
    
    
    <xsl:template match="customer">
        <li>
            <p>
                <xsl:value-of select="firstName"/>
                <xsl:text> </xsl:text>
                <em><xsl:value-of select="lastName"/></em>
            </p>
            <p><xsl:value-of select="street"/></p>
            <p>
                <xsl:value-of select="zip"/>
                <xsl:text> </xsl:text>
                <em><xsl:value-of select="city"/></em>
            </p>
        </li>
    </xsl:template>
    
    
    
    
    <xsl:template match="*">
        <p>
            <xsl:text>Error: No template matches lement '</xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text>'</xsl:text>
        </p>
    </xsl:template>
    
</xsl:stylesheet>