package de.hdm_stuttgart.mi.sda2.usermanage.parse;

public class ParseError extends  Exception {

   private static final long serialVersionUID = -4595401874181463130L;
   
   public ParseError(final String msg) {
      super(msg);
   }
   
   public ParseError(final String explain, final int row, final int index,
         final String fieldValue) {
      
      super("Line " + row + ", field " + index + ": Value " + fieldValue
            + " " + explain);
      
   }
}
