package de.hdm_stuttgart.mi.sda2.bibimport;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.hdm_stuttgart.mi.sda2.bibimport.model.InProceeding;

/**
 * Basic demo showing entity creation
 */
public class CreateUniversity {

   /**
    * This requires a corresponding entry &lt;persistence-unit name="universityPU"&gt;
    * in META-INF/persistence.xml.
    * Do not forget to modify the package name in MITA-INF/persistence.xml accordingly.
    */
   static public final String PERSISTENCE_UNIT_NAME = "bibimportPU";
    /**
     * @param args Unused
     */
    public static void main( String[] args ) {
        
       final EntityManagerFactory factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
       final EntityManager em = factory.createEntityManager();
       
       em.getTransaction().begin();
       final InProceeding lh = new InProceeding("University of applied sciences");
       
       em.persist(lh);
       em.getTransaction().commit();

       em.close();
       factory.close();
    }
}
