package de.hdm_stuttgart.mi.sd1.aufgabe1;

/**
 * Helper methods borrowed from
 */
public class Helper {

  /**
   * Get the smaller of two values
   *
   * @param a The first value
   * @param b The second value
   *
   * @return The first value if smaller than the second. The second value otherwise.
   */
  public static int getMinimum(final int a, final int b) {
    return a < b ? a : b;
  }

  /**
   * Get the smallest of three values
   *
   * @param a The first value
   * @param b The second value
   * @param c The third value
   *
   * @return The smallest of all three values.
   */
  public static int getMinimum(final int a, final int b, final int c) {
    return getMinimum(getMinimum(a, b), c);
  }

  /**
   * <p>May we sleep soundly?</p>
   *
   * <p>We sleep in if it is not a weekday or we're on vacation.</p>
   *
   * @param weekday true if it is a weekday.
   * @param vacation true if we are on vacation.
   *
   * @return Return true if we sleep in, false otherwise
   */
  public static boolean sleepIn(final boolean weekday, final boolean vacation) {
    return !weekday || vacation;
  }
}