package sda.unittesting;

import org.testng.annotations.Test;

public class MyStackTest {

   final MyStack stack = new MyStack();
   
  @Test (groups = "basic")
  public void empty() {
    assert(stack.empty());
  }
  @Test (groups = "basic")
  public void pushPopEmpty() {
    assert (stack.empty());
    stack.push(4);
    assert (!stack.empty());
    assert (4 == stack.top());
    assert (4 == stack.pop());
    assert (stack.empty());
  }
  
  @Test (dependsOnGroups = "basic")
  public void push6() {
     stack.push(1);
     stack.push(2);
     stack.push(3);
     stack.push(4);
     stack.push(5);
     stack.push(6);
     assert (6 == stack.pop());
  }
}
