package party;

/**
 * Loop implementation in favor of an explicit formula,
 *
 */
public class PartyStatisticsLoopImpl extends PartyStatisticsAverageImpl {

    @Override
    public int getNumberOfHandshakes() {
        final int totalPersonsNum = numGuests + numOrganizers;
        int numHandshakes = 0;
        for (int i = totalPersonsNum; 1 < i; i--) {
            numHandshakes += (i - 1);
        }
        return numHandshakes;
    }
}