package de.hdm_stuttgart.mi.sda1;

import de.hdm_stuttgart.mi.sda1.model.StudyCourse;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Read a {@link StudyCourse} by its primary key value.
 */
public class ReadStudyCourseById {

  static private final EntityManagerFactory factory = Persistence.createEntityManagerFactory(
    "strategy_none");

  static private final EntityManager entityManager = factory.createEntityManager();

  /**
   * @param args unused
   */
  public static void main( String[] args ) {

    final StudyCourse studyCourse = entityManager.find(StudyCourse.class, "CSM");

    System.out.println("Read '" + studyCourse + "'");

    // See http://stackoverflow.com/questions/21645516/program-using-hibernate-does-not-terminate
    factory.close();
  }
}