package de.hdm_stuttgart.mi.sda1;

import de.hdm_stuttgart.mi.sda1.model.StudyCourse;

import javax.persistence.*;
import java.util.List;

/**
 * Database / OO Model type violation.
 */
public class JqlTypeViolation {

  static private final EntityManagerFactory factory = Persistence.createEntityManagerFactory(
    "strategy_none");

  static private final EntityManager entityManager = factory.createEntityManager();

  /**
   * @param args unused
   */
  public static void main( String[] args ) {

    final Query query = entityManager.createQuery("SELECT S.shortName FROM StudyCourse AS S");

    final List<StudyCourse> studyCourses = query.getResultList();

    try {
      studyCourses.stream().map(s -> "Read '" + s + "'").
        forEach(System.out::println);
    } finally {
      factory.close();
    }
  }
}