package de.hdm_stuttgart.mi.sd1.aufgabe1;


/**
 * <p>Bewertungen für das Würfelspiel »Mäxchen« (Schwäbisch »Mäxle«). Gespielt wird mit zwei
 * Würfeln, jeweils mit Augenzahl 1 bis 6.</p>
 *
 * <p>Die Schreibweise (5|2) bedeutet eine Augenzahl 2 für den ersten und eine Augenzahl 5 für den zweiten
 * Würfel. Neben solchen »normalen« Ereignissen gibt es folgende Sonderfälle:</p>
 *
 * <dl>
 * <dt>(1|1), (2|2),... (6|6), </dt>
 * <dd>Haben beide Würfel dieselbe Augenzahl, so handelt es sich um einen Pasch.</dd>
 *
 * <dt>(2|1) bzw. (1|2)</dt>
 * <dd>Dieser Sonderfall ist ein »Mäxchen« bzw. schwäbisch ein »Mäxle«.</dd>
 *
 * </dl>
 */
public class Maexchen {

  /**
   * Haben beide Würfel eine identische Augenzahl, so handelt es sich um einen Pasch.
   *
   * @param wuerfel1 Die Augenzahl des ersten Würfels.
   * @param wuerfel2 Die Augenzahl des zweiten Würfels.
   * @return <code>true</code>, falls es sich um einen Pasch handelt, ansonsten <code>false</code>.
   */
  static public boolean istPasch(final int wuerfel1, final int wuerfel2) {
    return true; // TODO: Implementiere mich richtig!
  }

  /**
   * Das Ereignis (1|2) bzw. (2|1) stellt ein »Mäxchen« dar.
   *
   * @param wuerfel1 Die Augenzahl des ersten Würfels.
   * @param wuerfel2 Die Augenzahl des zweiten Würfels.
   * @return <code>true</code>, falls es sich um ein »Mäxchen« handelt, ansonsten <code>false</code>.
   */
  static public boolean istMaexchen(final int wuerfel1, final int wuerfel2) {
    return false; // TODO: Implementiere mich richtig!
  }

  /**
   * <p>Ereignisse wie (1|3), (5|2) usw. sind keine Sonderfälle. Wie in der Einleitung beschrieben,
   * gelten alle »Pasch« Würfe sowie das »Mäxchen« / »Mäxle« als Sonderfälle.</p>
   *
   * @param wuerfel1 Die Augenzahl des ersten Würfels.
   * @param wuerfel2 Die Augenzahl des zweiten Würfels.
   * @return <code>true</code>, falls es sich um keinen Sonderfall handelt, ansonsten <code>false</code>.
   */
  static public boolean istKeinSonderfall(final int wuerfel1, final int wuerfel2) {
    return false; // TODO: Implementiere mich richtig!
  }
}