package de.hdm_stuttgart.mi.sd1.aufgabe1;

/**
 * Hilfsmethode für String Operationen.
 */
public class StringHelper {

  /**
   * <p>Berechne den Stundenlohn gemäß den nachfolgenden Regeln in der angegebenen Reihenfolge:</p>
   *
   * <ol>
   *   <li>Bei falscher Wochentagsangabe (z.B. "Fr." statt "Freitag" oder null wird der Wert -1 zur
   *   Fehlererkennung zurückgeliefert.</li>
   *   <li>An einem Feiertag gilt unabhängig vom Wochentag ein Grundlohn von 25.-€.</li>
   *   <li>An einem Wochentag ("Montag" bis "Freitag") wird ein Grundlohn von 15.-€ gezahlt.</li>
   *   <li>Am Wochenende ("Samstag"/"Sonntag") werden 20.-€ Grundlohn gezahlt.</li>
   *   <li>An Feiertagen werden in einer Nachtschicht 10€ zusätzlich zum Grundlohn gezahlt.</li>
   *   <li>An nicht-Feiertagen verdoppelt sich der Grundlohn einer Nachtschicht.</li>
   * </ol>
   *
   * @param wochentag Genau ein Wert aus {"Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag",
   *                  "Samstag", "Sonntag"}
   * @param nachtschicht true, falls Nachtschicht, sonst false.
   * @param feiertag true, falls Feiertag, sonst false.
   * @return -1, falls der angegebene Wochentag null oder ungültig ist. Ansonsten der Stundenlohn gemäß Beschreibung.
   */
  static public int berechneStundenlohn(final String wochentag, final boolean nachtschicht, boolean feiertag) {
    return 123; // TODO: Implementiere mich!
  }

  /**
   * <p>Hat eine Zeichenkette mindestens eine vorgegebene Länge? Beispiele:</p>
   *
   * <ul>
   *   <li>"Kurt" hat mindestens die Länge 2.</li>
   *   <li>"Eva" hat nicht die Mindestlänge 4.</li>
   * </ul>
   *
   * <p>Praktische Verwendung:</p>
   * <pre>boolean result = StringHelper.hatMindestlaenge("Eva", 4);</pre>
   *
   * <p>Die Zeichenkette "Eva" hat lediglich die Länge 3, daher erhält die Variable
   * <code>result</code> den Wert <code>false</code>.</p>
   *
   * @param s             Eine Zeichenkette oder <code>null</code>.
   * @param mindestlaenge Eine geforderte, nicht-negative, Mindestlänge.
   * @return true, falls die Zeichenkette mindestens die vorgegebene Länge aufweist. Der Wert <code>null</code>
   * wird als leere Zeichenkette ("") behandelt.
   */
  static public boolean hatMindestlaenge(final String s, final int mindestlaenge) {
    return false; // TODO: Implementiere mich!
  }
}
