package de.hdm_stuttgart.mi.sda1.exam.movie_by_actor;


import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.jdom2.Comment;
import org.jdom2.Document;
import org.jdom2.Element;

import de.hdm_stuttgart.mi.unitmarking.jdom.DomFilter;

public class Moviedb2MovieByActor implements DomFilter {
	
	final Logger log = LogManager.getLogger(Moviedb2MovieByActor.class);
	
	@Override
	public Document process(final Document input) {
		
		final Element html = new Element("html");
		final Document htmlDoc = new Document(html);
		
		final Element body = new Element("body");
		html.addContent(body);
		
		final Element dl = new Element("dl");
		body.addContent(new Element("h1")
				.addContent("List of actors among with their corresponding films"))
				.addContent(dl);
		
		// TODO: Replace subsequent line by your implementation.
		dl.addContent(new Comment("To be implemented by you in class " + getClass().getName()));
		
		return htmlDoc;
	}	
}
