package de.hdm_stuttgart.mi.sda1.test.ex1;

import de.hdm_stuttgart.mi.unitmarking.xsd.InstanceSetEvaluation;
import org.junit.Assert;
import org.junit.Test;

/**
 * Unit test for an XML instance set. CLI by:
 * java -cp target/solvejpa-0.9-fat-tests.jar org.junit.runner.JUnitCore SchemaTest
 */
@SuppressWarnings("static-method")
public class SchemaTest {
    /**
     * Testing a suite of XML instances.
     */
   @Test
    public void testXmlInstanceSet() {
       
       final InstanceSetEvaluation ise =
    		   new InstanceSetEvaluation("SchemaTest", "Schema/bib.xsd");
       
       System.out.println(ise.getMessages());

       Assert.assertTrue(ise.getErrorMessages(), ise.allTestsSucceeded);
    }
}