package de.hdm_stuttgart.mi.marking;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
/**
 * Unit test for simple App.
 */
public class AppTest {

  @Test
  public void testSingle() {
    Assertions.assertArrayEquals(
          new int[]{-3, 1},
          Marks.getFrequencies(new int[]{-3}));
  }

  @Test
  public void testMultiple() {
    Assertions.assertArrayEquals(
          new int[]{-3, 2, 1, 0, 0, 0, 2, 0, 3}, // smallest value -3 followed by frequencies
          Marks.getFrequencies(new int[]{-3, 4 , 2, -2, 4, -3, 2, 4}));
  }
}