package de.hdm_stuttgart.mi.sd1.fraction;

import static org.junit.Assert.*;

import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.gcd.Math;

@SuppressWarnings("javadoc")
public class GcdTest {

  @Test
  public void testTwoPositiveIntegers() {
    assertEquals(6, Math.getGcd(18, 12));
  }

  @Test
  public void testReverseOrder() {
    assertEquals(6, Math.getGcd(12, 18));
  }

  @Test
  public void testBothZero() {
    assertEquals(1, Math.getGcd(0, 0));
  }

  @Test
  public void testNonzeroZero() {
    assertEquals(1, Math.getGcd(0, 0));
  }
  @Test
  public void testZeroNonzero() {
    assertEquals(7, Math.getGcd(0, 7));
  }

  @Test
  public void testNegativePositive() {
    assertEquals(9, Math.getGcd(-36, 27));
  }

  @Test
  public void testPositiveNegative() {
    assertEquals(7, Math.getGcd(49, -21));
  }


}
