package de.hdm_stuttgart.mi.sd1.model;

public class Rectangle implements Comparable<Rectangle> {

    public final int width, height;

    public Rectangle(final int width, final int height) {
        this.width = width;
        this.height = height;
    }

    @Override
    public String toString() {
        return width + " x " + height;
    }

    @Override
    public int compareTo(final Rectangle other) {
        if (width == other.width) {
            return height - other.height;
        } else {
            return width - other.width;
        }
    }
    public int getArea() {
        return width * height;
    }
}
