package de.hdm_stuttgart.mi.sda2.usermanage.rdbms;

public enum UserGroupParam implements Param {

	// See index values in subsequent SQL statement
	sysuser(1),
	sysgroup(2);
	
	public static final String sql =
			"INSERT INTO SysUserGroup (sysuser, sysgroup) "
		                 /* Parameter index  1         2 */
    			                   + "VALUES(?,        ?)";

	public final int index;
	
	UserGroupParam(final int index){
		this.index = index;
	}
	public int getIndex() {
		return index;
	}
	
	public String getSql() {
		return sql;
	}
}
