package de.hdm_stuttgart.mi.sda2.forum;

import com.vaadin.navigator.Navigator;
import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
import com.vaadin.ui.Button;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.VerticalLayout;

public class Main extends CustomComponent implements View {

	private static final long serialVersionUID = 1595439651082938813L;
	public final static String viewId = Main.class.getCanonicalName();
	
	final Button createPostButton = new Button("CreatePost"),
			logoutButton = new Button("Log out");

	public Main(Navigator navigator) {

		final VerticalLayout mainLayout = new VerticalLayout();
		setCompositionRoot(mainLayout);

		mainLayout.addComponent(createPostButton);
		mainLayout.addComponent(logoutButton);
		
		logoutButton.addClickListener(event -> navigator.navigateTo(MyLogin.viewId));
		
	}


	@Override
	public void enter(ViewChangeEvent event) {
	}
}
