package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.aufgabe1.BodenlegerKosten;
import de.hdm_stuttgart.mi.sd1.aufgabe1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

/**
 * <p>Testen des Auftretens eines Teil-String in einem vorgegebenen String.</p>
 *
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class TestHelper extends ExaminationTestDefaults {


  /**
   * 1 --> 1
   */
  @Test
  @Marking(points=1)
  public void test_110() {
    Assert.assertEquals(1, Helper.quersumme(1));
  }

  /**
   *  -1 --> -1
   */
  @Test
  @Marking(points=1)
  public void test_120() {
    Assert.assertEquals(-1, Helper.quersumme(-1));
  }

  /**
   *  -2234 --> -11
   */
  @Test
  @Marking(points=1)
  public void test_125() {
    Assert.assertEquals(-11, Helper.quersumme(-2234));
  }

  /**
   *  23 --> 5
   */
  @Test
  @Marking(points=1)
  public void test_130() {
    Assert.assertEquals(5, Helper.quersumme(23));
  }

  /**
   * 54321 --> 15
   */
  @Test
  @Marking(points=1)
  public void test_140() {
    Assert.assertEquals(15, Helper.quersumme(54321));
  }

  /**
   *  22345112345522234 --> 50
   */
  @Test
  @Marking(points=1)
  public void test_100() {
    Assert.assertEquals(50, Helper.quersumme(22345112345522234L));
  }

}