<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:svg="http://www.w3.org/2000/svg"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs svg"
    version="2.0">
    
    <xsl:output indent="yes"/>
    
    <xsl:template match="/ | @* | node()">
      <xsl:copy>
        <xsl:apply-templates select="@* | node()" />
      </xsl:copy>
    </xsl:template>
    
    <xsl:template match="svg:g[svg:path[6653 &lt;= string-length(@d)]]">
        <xsl:message>
            <xsl:text>Purged g[path/@d=</xsl:text>
            <xsl:value-of select="svg:path[1]/@d"/>
            <xsl:text>]</xsl:text>
        </xsl:message>
        <xsl:text>-----------------------</xsl:text>
    </xsl:template>
        
    
    
</xsl:stylesheet>