package component.emails.list;

import javax.persistence.Embeddable;

@Embeddable
public class Email {

  private String emailAddress;
  public String getEmailAddress() { return emailAddress;}
  public void setEmailAddress(final String emailAddress) { this.emailAddress = emailAddress;}

  protected Email() {}
  public Email(final String emailAddress) {
    setEmailAddress(emailAddress);
  }
  @Override
  public int hashCode() {
    if (null == getEmailAddress()) {
      return System.identityHashCode(this);
    } else {
      return getEmailAddress().hashCode();
    }
  }
  @Override
  public boolean equals(Object obj) {
    if (null == getEmailAddress()) {
      return false;
    } else if (obj instanceof Email) {
      Email other = (Email) obj;
      return getEmailAddress().equals(other.getEmailAddress());
    } else {
      return false;
    }
  }
}